<template>
  <div>
    <p class="mb-3 text-xs uppercase tracking-12px">LET’S GET STARTED</p>
    <h1 class="mb-3">What sort of results are you looking for?</h1>
    <p class="mb-6">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
        :input-value="choice"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      :disabled="!checkboxSelected.length"
      text="Next"
      @click="$emit('nextStage')"
      class="mb-5"
    />
    <div class="rounded-lg bg-white p-5 flex space-x-5 items-center">
      <img src="@/assets/img/common/doctor.png" alt="" width="51">
      <p class="text-sm">Your personal doctor will analyze your results and prescribe the right treatment for you.</p>
    </div>
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [checkboxMixin, answersMixin],
  name: "GetStarted",
  data() {
    return {
      checkHandler: newVal => this.setAnswer(this.answersKeys.GET_STARTED, newVal),
      choices: [
        'Regrow my hair',
        'Prevent future hair loss',
        'Thicken my hair',
      ]
    }
  }
}
</script>

<style scoped>

</style>
